<?php $headings_font = get_theme_mod('quidus_header_font', array( 'font-family' => 'Montserrat' ));
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> H1 // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom h1 Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_h1_typography_enable',
		'label'       => __( 'Enable Custom H1 Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* h1 Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_h1_size',
		'label'       => __( 'H1 Font Size', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 200,
			'step' => 1
		),
	));
	
	/* Enable Custom h1 Settings */
	$header_font_default = is_array($headings_font) ? $headings_font["font-family"] : "Montserrat";
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_h1_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.2308',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> H2 // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom h2 Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_h2_typography_enable',
		'label'       => __( 'Enable Custom H2 Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* h2 Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_h2_size',
		'label'       => __( 'H2 Font Size', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 200,
			'step' => 1
		),
	));
	
	/* Enable Custom h2 Settings */

	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_h2_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.25',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> H3 // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom h3 Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_h3_typography_enable',
		'label'       => __( 'Enable Custom H3 Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* h3 Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_h3_size',
		'label'       => __( 'H3 Font Size', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 200,
			'step' => 1
		),
	));
	
	/* Enable Custom h3 Settings */

	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_h3_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.1852',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> H4 // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom h4 Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_h4_typography_enable',
		'label'       => __( 'Enable Custom H4 Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* h4 Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_h4_size',
		'label'       => __( 'H4 Font Size', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 200,
			'step' => 1
		),
	));
	
	/* Enable Custom h4 Settings */

	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_h4_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.4545',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> H5 // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom h5 Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_h5_typography_enable',
		'label'       => __( 'Enable Custom H5 Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* h5 Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_h5_size',
		'label'       => __( 'H5 Font Size', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 200,
			'step' => 1
		),
	));
	
	/* Enable Custom h5 Settings */

	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_h5_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.2632',
			'letter-spacing' => '1',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> H6 // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom h6 Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_h6_typography_enable',
		'label'       => __( 'Enable Custom H6 Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* h6 Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_h6_size',
		'label'       => __( 'H6 Font Size', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 200,
			'step' => 1
		),
	));
	
	/* Enable Custom h6 Settings */

	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_h6_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_headings',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.13023',
			'letter-spacing' => '1',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );

?>